package dev.pfaff.altargui;

import dev.pfaff.altargui.texture.TextureAllocator;
import dev.pfaff.altargui.render.RenderObject;
import dev.pfaff.altargui.inspector.DebugLayer;

public interface Canvas {
	TextureAllocator texAlloc();

	void setLayer(Layer layer);

	void upload(RenderObject uploadable);

	boolean isDebugLayerEnabled(DebugLayer layer);
}
