package dev.pfaff.altargui.debug;

import dev.pfaff.altargui.util.FakeConstant;

import java.lang.invoke.MethodHandle;

public final class FakeConstantProfiler extends FakeConstant<Profiler> {
	/**
	 * @param value the initial value
	 */
	public FakeConstantProfiler(Profiler value) {
		super(Profiler.class, value);
	}

	@Override
	protected Profiler implGet(MethodHandle target) throws Throwable {
		return (Profiler) target.invokeExact();
	}

	@Override
	public Profiler get() {
		return super.get();
	}
}
