package dev.pfaff.altargui.inspector;

import dev.pfaff.altargui.Widget;
import org.jetbrains.annotations.NotNull;

final class NonDetailedRawObjectValue<T> implements DebugPropertyValue {
    private final ValueRenderer<T> preview;
    private final @NotNull T value;

    public NonDetailedRawObjectValue(ValueRenderer<@NotNull T> preview, @NotNull T value) {
        this.preview = preview;
        this.value = value;
    }

    @Override
    public @NotNull Widget display() {
        // FIXME: pass `inspector`
        return preview.build(null, value);
    }
}
