package dev.pfaff.altargui.pathfinder;

import java.lang.foreign.MemorySegment;

import static dev.pfaff.altargui.pathfinder.Pathfinder.MH_PFSceneProxyBuildAndRenderGL;

public record PFSceneProxyRef(MemorySegment ptr) {
	public void buildAndRenderGL(PFGLRendererRef renderer, PFBuildOptionsRef options) {
		try {
			MH_PFSceneProxyBuildAndRenderGL.invokeExact(this.ptr(), renderer.ptr(), options.ptr());
		} catch (Throwable e) {
			throw new RuntimeException(e);
		}
	}
}
