package dev.pfaff.altargui.resource;

import java.net.http.HttpClient;
import java.util.concurrent.Executors;

public final class UrlResourceLoader {
	final HttpClient client = HttpClient.newBuilder()
			.followRedirects(HttpClient.Redirect.NORMAL)
			.executor(Executors.newVirtualThreadPerTaskExecutor())
			.build();

	public UrlLoadableResource get(String url) {
		return new UrlLoadableResource(this, url);
	}
}
