package dev.pfaff.altargui.widgets;

/**
 * A marker interface for a widget whose sole purpose is to wrap another widget with some attributes that may be used
 * by another widget in the tree. Currently, it is intended for access only by immediate parents, although there is no
 * technical limitation to other uses.
 */
public interface AttributesWidget extends SingleChildWidget {
}
